package com.nisum

import groovy.xml.slurpersupport.GPathResult

class XMLParsingScript {
    public static void executeConversions(File[] files){
        //argument will be file names
        //String webXMLFileLocation = "./web.xml"

        //eventually script will require absolute path from user input
        //String webXMLFileLocation = "/Users/ccottier/Documents/ds-spring-conversion-tool/spring-conversion-xml-parser/src/main/groovy/com/nisum/web.xml"


        WebXMLParser webXMLParser = new WebXMLParser(files[0])

        String[] servPath = ["servlet","servlet-name"]
        def servletNameNode = webXMLParser.getNodeByPath(servPath)
        println(servletNameNode.toString())

        //POM XML PARSER

        PomXMLParser pomXMLParser = new PomXMLParser(files[1])

        String[] displayNamePath = ["display-name"]
        def displayNameNode = pomXMLParser.getNodeByPath(displayNamePath)
        println(displayNameNode.toString());

        println(displayNameNode.name())

        def groupId = pomXMLParser.findNodeByTagName("groupId")
        println(groupId.toString())

        def dependencies = pomXMLParser.findAllNodesByTagName("dependency")
        println(dependencies)

        def rootPom = pomXMLParser.getRootNode()
        println(rootPom)
    }

    public static void executeConversions(String[] fileLocations){
        File[] files = new File[fileLocations.length]

        int i = 0
        for (String fileLocation : fileLocations) {
            File conv = new File(fileLocation)
            files[i] = conv
            i++
        }

        executeConversions(files)
    }
}


